Browse Source

Fork chores

yiffed
Inex Code 7 months ago
parent
commit
d6379a9189
7 changed files with 67 additions and 37 deletions
  1. +28
    -0
      Dockerfile
  2. +9
    -14
      README.md
  3. +1
    -1
      android/app/build.gradle
  4. +2
    -0
      lib/components/theme_switcher.dart
  5. +3
    -1
      lib/l10n/l10n.dart
  6. +23
    -18
      pubspec.lock
  7. +1
    -3
      pubspec.yaml

+ 28
- 0
Dockerfile View File

@ -0,0 +1,28 @@
FROM ubuntu:18.04
ENV ANDROID_HOME="/opt/android-sdk" \
PATH="/opt/android-sdk/tools/bin:/home/inex/flutter/bin:/home/inex/flutter/bin/cache/dart-sdk/bin:$PATH" \
PUB_CACHE="/home/inex/.pub-cache"
RUN apt-get update > /dev/null \
&& apt-get -y install --no-install-recommends curl git lib32stdc++6 openjdk-8-jdk-headless cmake unzip ninja-build usbutils android-tools-adb > /dev/null \
&& apt-get --purge autoremove > /dev/null \
&& apt-get autoclean > /dev/null \
&& rm -rf /var/lib/apt/lists/*
RUN git clone -b dev https://github.com/flutter/flutter.git /home/inex/flutter
RUN curl -s -O https://dl.google.com/android/repository/sdk-tools-linux-4333796.zip \
&& mkdir /opt/android-sdk \
&& unzip sdk-tools-linux-4333796.zip -d /opt/android-sdk > /dev/null \
&& rm sdk-tools-linux-4333796.zip
RUN mkdir ~/.android \
&& echo 'count=0' > ~/.android/repositories.cfg \
&& yes | sdkmanager --licenses > /dev/null \
&& sdkmanager "tools" "build-tools;29.0.0" "platforms;android-29" "platform-tools" "ndk-bundle" \
&& yes | sdkmanager --licenses > /dev/null \
&& flutter doctor -v
# && chown -R root:root /opt
EXPOSE 41905

+ 9
- 14
README.md View File

@ -1,17 +1,6 @@
![](https://i.imgur.com/wi7RlVt.png)
<p align="center">
<a target="new" href="https://play.google.com/store/apps/details?id=chat.fluffy.fluffychat">
<img height="66px" src="https://christianpauly.gitlab.io/fluffychat-website/assets/images/google-play-badge.png" />
</a>
<a target="new" href="https://christianpauly.gitlab.io/fluffychat-website/en/fdroid.html">
<img height="66px" src="https://christianpauly.gitlab.io/fluffychat-website/assets/images/fdroid_button.png " />
</a>
<br>
<a href="https://christianpauly.gitlab.io/fluffychat-flutter" target="new">Open FluffyChat in the browser</a> - <a href="https://matrix.to/#/#fluffychat:matrix.org" target="new">Join the community</a> - <a href="https://metalhead.club/@krille" target="new">Follow me on Mastodon</a> - <a href="https://gitlab.com/ChristianPauly/fluffychat-website" target="new">Translate the website</a> - <a href="https://christianpauly.gitlab.io/fluffychat-website/faq.html" target="new">FAQ</a> - <a href="https://christianpauly.gitlab.io/fluffychat-website/" target="new">Website</a>
</p>
<br>
<br>
# FurryChat
An experimental fork of FluffyChat.
# Features
* Single and group chats
@ -64,6 +53,12 @@ sudo apt install ninja-build
5. `flutter run`
### Docker
Don't even ask.
`docker run -ti --privileged -v /dev/bus/usb:/dev/bus/usb -v ${PWD}:/build -v /home/inex/.pub-cache:/home/inex/.pub-cache -v /home/inex/flutter:/home/inex/flutter -d flutter-fluffy:1.0`
## How to add translations for your language
1. Replace the non-translated string in the codebase:


+ 1
- 1
android/app/build.gradle View File

@ -100,4 +100,4 @@ dependencies {
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
}
apply plugin: "com.google.gms.google-services"
//apply plugin: "com.google.gms.google-services"

+ 2
- 0
lib/components/theme_switcher.dart View File

@ -214,6 +214,8 @@ class ThemeSwitcherWidgetState extends State<ThemeSwitcherWidget> {
break;
}
theme = theme.copyWith(accentColor: Colors.amber, primaryColor: Colors.deepOrange);
await saveThemeValue(matrix, newTheme);
await saveAmoledEnabledValue(matrix, amoled_enabled);
setState(() {


+ 3
- 1
lib/l10n/l10n.dart View File

@ -336,7 +336,7 @@ class L10n extends MatrixLocalizations {
String get fileSize => Intl.message("File size");
String get fluffychat => Intl.message("FluffyChat");
String get fluffychat => Intl.message("FurryChat");
String get forward => Intl.message('Forward');
@ -374,6 +374,8 @@ class L10n extends MatrixLocalizations {
String get help => Intl.message("Help");
String get homeserverOrMXID => Intl.message("Homeserver or MXID");
String get homeserverIsNotCompatible =>
Intl.message("Homeserver is not compatible");


+ 23
- 18
pubspec.lock View File

@ -71,6 +71,13 @@ packages:
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.3"
clock:
dependency: transitive
description:
name: clock
url: "https://pub.dartlang.org"
source: hosted
version: "1.0.1"
collection:
dependency: transitive
description:
@ -129,14 +136,19 @@ packages:
url: "https://github.com/simolus3/moor.git"
source: git
version: "1.0.0"
fake_async:
dependency: transitive
description:
name: fake_async
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.0"
famedlysdk:
dependency: "direct main"
description:
path: "."
ref: "857775cf37804440717ce797e0ed63fd39066904"
resolved-ref: "857775cf37804440717ce797e0ed63fd39066904"
url: "https://gitlab.com/famedly/famedlysdk.git"
source: git
path: "../famedlysdk"
relative: true
source: path
version: "0.0.1"
ffi:
dependency: transitive
@ -469,7 +481,7 @@ packages:
name: package_config
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.0"
version: "1.9.3"
package_resolver:
dependency: transitive
description:
@ -483,7 +495,7 @@ packages:
name: path
url: "https://pub.dartlang.org"
source: hosted
version: "1.6.4"
version: "1.7.0"
path_drawing:
dependency: transitive
description:
@ -561,13 +573,6 @@ packages:
url: "https://pub.dartlang.org"
source: hosted
version: "1.4.2"
quiver:
dependency: transitive
description:
name: quiver
url: "https://pub.dartlang.org"
source: hosted
version: "2.1.3"
random_string:
dependency: "direct main"
description:
@ -628,7 +633,7 @@ packages:
name: source_map_stack_trace
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.5"
version: "2.0.0"
source_maps:
dependency: transitive
description:
@ -705,21 +710,21 @@ packages:
name: test
url: "https://pub.dartlang.org"
source: hosted
version: "1.13.0"
version: "1.14.7"
test_api:
dependency: transitive
description:
name: test_api
url: "https://pub.dartlang.org"
source: hosted
version: "0.2.15"
version: "0.2.16"
test_core:
dependency: transitive
description:
name: test_core
url: "https://pub.dartlang.org"
source: hosted
version: "0.3.1"
version: "0.3.7"
typed_data:
dependency: transitive
description:


+ 1
- 3
pubspec.yaml View File

@ -25,9 +25,7 @@ dependencies:
cupertino_icons: ^0.1.2
famedlysdk:
git:
url: https://gitlab.com/famedly/famedlysdk.git
ref: 857775cf37804440717ce797e0ed63fd39066904
path: ../famedlysdk
localstorage: ^3.0.1+4
bubble: ^1.1.9+1


Loading…
Cancel
Save